RedCrawler API
Scrape V2

Bulk Posts by ID V2

Fetch multiple posts by IDs. Up to 1500 IDs. Accepts raw IDs, t3_ prefixed, or URLs.

POST /api/v2/batch/content

Fetch multiple posts by IDs. Up to 1500 IDs. Accepts raw IDs, t3_ prefixed, or URLs.

Body parameters

NameTypeRequiredDescription
idsstringYesComma-separated post IDs (raw, t3_ prefixed, or URLs)

Authentication

HeaderValue
X-RapidAPI-KeyYour RapidAPI key
X-RapidAPI-Hostred-crawler1.p.rapidapi.com

Example request

cURL

curl -X POST "https://red-crawler1.p.rapidapi.com/api/v2/batch/content" \
  -H "X-RapidAPI-Key: YOUR_RAPIDAPI_KEY" \
  -H "X-RapidAPI-Host: red-crawler1.p.rapidapi.com" \
  -H "Content-Type: application/json" \
  --data '{"ids": "t3_1sys4r2,t3_1sys51u,t3_1sys5kz"}'

JavaScript

const res = await fetch("https://red-crawler1.p.rapidapi.com/api/v2/batch/content", {
  method: "POST",
  headers: {
      "X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
    "X-RapidAPI-Host": "red-crawler1.p.rapidapi.com"
    },
    body: JSON.stringify({
  "ids": "t3_1sys4r2,t3_1sys51u,t3_1sys5kz"
})
});
const data = await res.json();
console.log(data);

Python

import requests

url = "https://red-crawler1.p.rapidapi.com/api/v2/batch/content"
headers = {
    "X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
    "X-RapidAPI-Host": "red-crawler1.p.rapidapi.com",
    "Content-Type": "application/json"
}
payload = {
  "ids": "t3_1sys4r2,t3_1sys51u,t3_1sys5kz"
}
resp = requests.post(url, headers=headers, json=payload)
print(resp.json())

Example response

HTTP 200 — captured from a live call to the gateway.

{
  "success": true,
  "data": {
    "success": true,
    "posts": [
      {
        "authorCommunityBadge": null,
        "subreddit": {
          "id": "t5_2qib0",
          "name": "interesting",
          "prefixedName": "r/interesting",
          "isQuarantined": false,
          "title": "interesting ",
          "type": "PUBLIC",
          "subscribersCount": 1736814,
          "isNsfw": false,
          "isSubscribed": false,
          "isThumbnailsEnabled": true,
          "styles": {
            "icon": "https://styles.redditmedia.com/t5_2qib0/styles/communityIcon_s4g0fz2yssma1.png?width=64&height=64&frame=1&auto=webp&crop=64:64,smart&s=3755e98c96e1ece4b5a1e359ae62b7fc145c59b9",
            "legacyIcon": null,
            "primaryColor": "#2972A3",
            "backgroundColor": "#98AFB9",
            "bannerBackgroundImage": "https://styles.redditmedia.com/t5_2qib0/styles/bannerBackgroundImage_6lj3jytxurcc1.jpg?format=pjpg&s=0e040670e7c44b209ed446a53d74ae7c8a50ab49",
            "legacyPrimaryColor": null
          },
          "modPermissions": null,
          "communityStatus": {
            "description": {
              "markdown": "\\\\ud83d\\\\udd25",
              "richtext": "{\"document\":[{\"c\":[{\"e\":\"text\",\"t\":\"\\\\ud83d\\\\udd25\"}],\"e\":\"par\"}]}"
            },
            "emoji": {
              "name": "snoo_simple_smile",
              "url": "https://emoji.redditmedia.com/dhbi1omcaezz_t5_3nqvj/snoo_simple_smile"
            }
          },
          "isTitleSafe": true,
          "isUserBanned": false,
          "tippingStatus": null,
          "whitelistStatus": "ALL_ADS"
        },
        "crosspostRoot": null,
        "id": "t3_1syv2e6",
        "createdAt": "2026-04-29T10:39:56.988000+0000",
        "editedAt": null,
        "postTitle": "This is how electric cars vs gasoline cars look under thermal imaging.",
        "url": "https://i.redd.it/ztdmazhry3yg1.jpeg",
        "content": null,
        "domain": "i.redd.it",
        "isSpoiler": false,
        "isNsfw": false,
        "isCommercialCommunication": false,
        "isLocked": false,
        "isSaved": false,
        "isHidden": false,
        "isGildable": true,
        "isCrosspostable": false,
        "isScoreHidden": false,
        "isArchived": false,
        "isStickied": false,
        "isPollIncluded": false,
        "poll": null,
        "isFollowed": false,
        "awardingsInfo": {
          "promos": null
        },
        "awardings": [
          {
            "award": {
              "id": "award_free_mindblown",
              "name": "Mindblown",
              "tags": [
                "award:sort:30",
                "award:legacy",
                "award:unlimited_free",
                "award:quick_give"
              ],
              "static_icon_16": {
                "url": "https://i.redd.it/snoovatar/snoo_assets/marketing/mindblown_16.png",
                "dimensions": {
                  "width": 16,
                  "height": 16
                }
              },
              "static_icon_24": {
                "url": "https://i.redd.it/snoovatar/snoo_assets/marketing/mindblown_24.png",
                "dimensions": {
                  "width": 24,
                  "height": 24
                }
              },
              "static_icon_32": {
                "url": "https://i.redd.it/snoovatar/snoo_assets/marketing/mindblown_32.png",
                "dimensions": {
                  "width": 32,
                  "height": 32
                }
              },
              "static_icon_48": {
                "url": "https://i.redd.it/snoovatar/snoo_assets/marketing/mindblown_48.png",
                "dimensions": {
                  "width": 48,
                  "height": 48
                }
              },
              "static_icon_64": {
                "url": "https://i.redd.it/snoovatar/snoo_assets/marketing/mindblown_64.png",
                "dimensions": {
                  "width": 64,
                  "height": 64
                }
              }
            },
            "total": 3
          }
        ],
        "isContestMode": false,
        "distinguishedAs": null,
        "voteState": "NONE",
        "score": 7947,
        "commentCount": 591,
        "authorFlair": null,
        "flair": {
          "type": "text",
          "text": "SCIENCE & TECH",
          "richtext": null,
          "textColor": "LIGHT",
          "template": {
            "id": "580cf706-be95-11ed-aa3f-da49e82894d1",
            "isEditable": false,
            "backgroundColor": "#0079D3"
          }
        },
        "authorInfo": {
          "id": "t2_1qu96tgkgu",
          "name": "Alphaxfusion",
          "isBlocked": false,
          "isCakeDayNow": false,
          "attributes": {},
          "newIcon": {
            "url": "https://www.redditstatic.com/avatars/defaults/v2/avatar_default_6.png",
            "dimensions": {
              "width": 256,
              "height": 256
            }
          },
          "iconSmall": {
            "url": "https://www.redditstatic.com/avatars/defaults/v2/avatar_default_6.png",
            "dimensions": {
              "width": 256,
              "height": 256
            }
          },
          "snoovatarIcon": null,
          "profile": {
            "isNsfw": true
          },
          "accountType": "USER"
        },
        "isThumbnailEnabled": true,
        "thumbnail": {
          "url": "https://preview.redd.it/ztdmazhry3yg1.jpeg?width=140&height=140&crop=1%3A1%2Csmart&auto=webp&s=d7aa373dba5471e835f64285c8db2ee4ad9c36e5",
          "dimensions": {
            "width": 140,
            "height": 140
          }
        },
        "media": {
          "previewMediaId": "ztdmazhry3yg1",
          "still": {
            "source": {
              "url": "https://preview.redd.it/ztdmazhry3yg1.jpeg?auto=webp&s=215170d4fd0d075f7741c3ea1537fa085af04f5d",
              "dimensions": {
                "width": 1638,
                "height": 2048
              }
            },
            "small": {
              "url": "https://preview.redd.it/ztdmazhry3yg1.jpeg?width=108&auto=webp&s=247baf48504ec54ddf197b42f55607200c346d23",
              "dimensions": {
                "width": 108,
                "height": 135
              }
            },
            "medium": {
              "url": "https://preview.redd.it/ztdmazhry3yg1.jpeg?width=216&auto=webp&s=72126ee554ee03c8b23d91a9f970b51deac694df",
              "dimensions": {
                "width": 216,
                "height": 270
              }
            },
            "large": {
              "url": "https://preview.redd.it/ztdmazhry3yg1.jpeg?width=320&auto=webp&s=d328bad9e38e402778f5f46e7168317f260dc6f5",
              "dimensions": {
                "width": 320,
                "height": 400
              }
            },
            "xlarge": {
              "url": "https://preview.redd.it/ztdmazhry3yg1.jpeg?width=640&auto=webp&s=3fce3da3a18b081df51bac02de7b7924824079ca",
              "dimensions": {
                "width": 640,
                "height": 800
              }
            },
            "xxlarge": {
              "url": "https://preview.redd.it/ztdmazhry3yg1.jpeg?width=960&auto=webp&s=75670716d98f3014e597ea777b7694c10a6d4d5a",
              "dimensions": {
                "width": 960,
                "height": 1200
              }
            },
            "xxxlarge": {
              "url": "https://preview.redd.it/ztdmazhry3yg1.jpeg?width=1080&auto=webp&s=b00d13ebd624b7726a38fc3701e4832b05a5da97",
              "dimensions": {
                "width": 1080,
                "height": 1350
              }
            },
            "altText": null
          },
          "obfuscated_still": {
            "source": null,
            "small": null,
            "medium": null,
            "large": null,
            "xlarge": null,
            "xxlarge": null,
            "xxxlarge": null
          },
          "animated": null,
          "streaming": null,
          "video": null,
          "packagedMedia": null,
          "typeHint": "IMAGE",
          "download": null
        },
        "moderationInfo": null,
        "suggestedCommentSort": "CONFIDENCE",
        "permalink": "/r/interesting/comments/1syv2e6/this_is_how_electric_cars_vs_gasoline_cars_look/",
        "isSelfPost": false,
        "postHint": "IMAGE",
        "postEventInfo": null,
        "gallery": null,
        "devvit": null,
        "outboundLink": {
          "url": "https://i.redd.it/ztdmazhry3yg1.jpeg",
          "expiresAt": "2026-04-29T21:30:31.229424+0000"
        },
        "postStats": {
          "viewCountTotal": null,
          "shareAllTotal": 3576
        },
        "postStatsPrivate": null,
        "isAuthorBlocked": false,
        "upvoteRatio": 0.7295927768564584,
        "crowdControlLevel": "OFF",
        "isCrowdControlFilterEnabled": false,
        "languageCode": "en",
        "isTranslatable": false,
        "isTranslated": false,
        "translatedLanguage": null,
        "removedByCategory": null
      },
      {
        "authorCommunityBadge": null,
        "subreddit": {
          "id": "t5_2qh1i",
          "name": "AskReddit",
          "prefixedName": "r/AskReddit",
          "isQuarantined": false,
          "title": "Ask Reddit...",
          "type": "PUBLIC",
          "subscribersCount": 58394674,
          "isNsfw": false,
          "isSubscribed": false,
          "isThumbnailsEnabled": false,
          "styles": {
            "icon": "https://styles.redditmedia.com/t5_2qh1i/styles/communityIcon_p6kb2m6b185b1.png?width=64&height=64&frame=1&auto=webp&crop=64:64,smart&s=6726c91bfc2dd09d0446650bb29b08232b835411",
            "legacyIcon": {
              "url": "https://b.thumbs.redditmedia.com/LSHrisQApf1H5F8nWShTx3_KjTOMc3R_ss3kx3XAyXQ.png"
            },
            "primaryColor": "#D4EAFF",
            "backgroundColor": "#5D81A2",
            "bannerBackgroundImage": "https://styles.redditmedia.com/t5_2qh1i/styles/bannerBackgroundImage_fs33xogq946f1.png",
            "legacyPrimaryColor": "#222222"
          },
          "modPermissions": null,
          "communityStatus": {
            "description": {
              "markdown": "\u200bCredit",
              "richtext": "{\"document\":[{\"c\":[{\"e\":\"text\",\"t\":\"\\u200bCredit\"}],\"e\":\"par\"}]}"
            },
            "emoji": {
              "name": "donkey_right",
              "url": "https://emoji.redditmedia.com/5atpv9pyenjf1_t5_2qh1i/donkey_right"
            }
          },
          "isTitleSafe": true,
          "isUserBanned": false,
          "tippingStatus": null,
          "whitelistStatus": "ALL_ADS"
        },
        "crosspostRoot": null,
        "id": "t3_1symzvg",
        "createdAt": "2026-04-29T03:19:57.127000+0000",
        "editedAt": null,
        "postTitle": "how did you realize you lost your spark?",
        "url": "https://www.reddit.com/r/AskReddit/comments/1symzvg/how_did_you_realize_you_lost_your_spark/",
        "content": null,
        "domain": "self.AskReddit",
        "isSpoiler": false,
        "isNsfw": false,
        "isCommercialCommunication": false,
        "isLocked": false,
        "isSaved": false,
        "isHidden": false,
        "isGildable": true,
        "isCrosspostable": false,
        "isScoreHidden": false,
        "isArchived": false,
        "isStickied": false,
        "isPollIncluded": false,
        "poll": null,
        "isFollowed": false,
        "awardingsInfo": {
          "promos": null
        },
        "awardings": [],
        "isContestMode": false,
        "distinguishedAs": null,
        "voteState": "NONE",
        "score": 1308,
        "commentCount": 484,
        "authorFlair": null,
        "flair": null,
        "authorInfo": {
          "id": "t2_1ie5jygrqb",
          "name": "Left_Team8926",
          "isBlocked": false,
          "isCakeDayNow": false,
          "attributes": {},
          "newIcon": {
            "url": "https://styles.redditmedia.com/t5_dhqppo/styles/profileIcon_azc5inar0yfg1.jpeg?frame=1&auto=webp&crop=256%3A256%2Csmart&s=1980e1dca255147e35dc48acd780dd672a39dd96",
            "dimensions": {
              "width": 256,
              "height": 256
            }
          },
          "iconSmall": {
            "url": "https://styles.redditmedia.com/t5_dhqppo/styles/profileIcon_azc5inar0yfg1.jpeg?width=50&height=50&frame=1&auto=webp&crop=50%3A50%2Csmart&s=7fbdda5a1ef05811ccef2274d457ffc427dfea68",
            "dimensions": {
              "width": 50,
              "height": 50
            }
          },
          "snoovatarIcon": null,
          "profile": {
            "isNsfw": false
          },
          "accountType": "USER"
        },
        "isThumbnailEnabled": false,
        "thumbnail": null,
        "media": null,
        "moderationInfo": null,
        "suggestedCommentSort": null,
        "permalink": "/r/AskReddit/comments/1symzvg/how_did_you_realize_you_lost_your_spark/",
        "isSelfPost": true,
        "postHint": null,
        "postEventInfo": null,
        "gallery": null,
        "devvit": null,
        "outboundLink": {
          "url": "https://www.reddit.com/r/AskReddit/comments/1symzvg/how_did_you_realize_you_lost_your_spark/",
          "expiresAt": "2026-04-29T21:30:31.229421+0000"
        },
        "postStats": {
          "viewCountTotal": null,
          "shareAllTotal": 1092
        },
        "postStatsPrivate": null,
        "isAuthorBlocked": false,
        "upvoteRatio": 0.9650499286733238,
        "crowdControlLevel": "OFF",
        "isCrowdControlFilterEnabled": false,
        "languageCode": "en",
        "isTranslatable": false,
        "isTranslated": false,
        "translatedLanguage": null,
        "removedByCategory": null
      }
    ],
    "count": 2,
    "requested": 2
  },
  "error": null,
  "timestamp": "2026-04-29T16:30:31.378334+00:00"
}

On this page